
Foreman - Refactor #32272

Deprecate jquery.ui.custom_spinners

04/08/2021 11:35 AM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: yifat makias   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8436

  

Description

Deprecate init functions in

https://github.com/theforeman/foreman/blob/22fa163731b38f597e4f96e0c0b345518a360b37/webpack/assets/javascripts/jquery.ui.cu

stom_spinners.js

And remove it's usage:

https://github.com/theforeman/foreman/search?q=initAll

Related issues:

Blocks Foreman - Refactor #21641: Drop jquery-ui spinners in favor of React i... Closed

Associated revisions

Revision db15a67b - 04/26/2021 07:38 AM - yifat makias

Fixes #32272 - Deprecate jquery.ui.custom_spinners

History

#1 - 04/08/2021 11:35 AM - Ondřej Ezr

- Blocks Refactor #21641: Drop jquery-ui spinners in favor of React imlementation added

#2 - 04/08/2021 11:37 AM - Ondřej Ezr

- Description updated

#3 - 04/08/2021 11:38 AM - Ondřej Ezr

- Description updated

#4 - 04/08/2021 12:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to yifat makias

- Pull request https://github.com/theforeman/foreman/pull/8436 added

#5 - 04/26/2021 07:38 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#6 - 04/26/2021 08:01 AM - yifat makias

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|db15a67b773f71209f89ce8073237d9e75a06236.

#7 - 05/05/2021 02:25 PM - Tomer Brisker
https://github.com/theforeman/foreman/blob/22fa163731b38f597e4f96e0c0b345518a360b37/webpack/assets/javascripts/jquery.ui.custom_spinners.js
https://github.com/theforeman/foreman/blob/22fa163731b38f597e4f96e0c0b345518a360b37/webpack/assets/javascripts/jquery.ui.custom_spinners.js
https://github.com/theforeman/foreman/search?q=initAll
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/db15a67b773f71209f89ce8073237d9e75a06236


- Category set to JavaScript stack

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

